MetricSetControllerAddCustomHierarchyGroup Method

POST /MetricSet/AddCustomHierarchyGroup/{id} Adds a custom hierarchy group to the metric set.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("AddCustomHierarchyGroup")]
public IActionResult AddCustomHierarchyGroup(
	Guid id,
	[FromBodyAttribute] AddCustomHierarchyGroupOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to add the custom hierarchy group to.
options
Type: Dundas.BI.WebApi.ModelsAddCustomHierarchyGroupOptions
The options for adding the custom hierarchy group.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also